Bug 1401096

Summary: Libre Office is not translated out-of-the-box
Product: [Fedora] Fedora Reporter: pawel.wollny
Component: gnome-initial-setupAssignee: Rui Matos <tiagomatos>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: anaconda-maint-list, caolanm, digitalfreak, dtardon, erack, g.kaviyarasu, i18n-bugs, jonathan, jstpierr, mkolman, petersen, piotrdrag, psatpute, sbergman, tiagomatos, trans-pl, vanmeeuwen+fedora, vponcova
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-07 06:04:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 484497    

Description pawel.wollny 2016-12-02 20:04:18 UTC
Description of problem:

After installing Fedora 25 in Polish language, Libre Office remains in English version. Problem is solved after installing package in a Gnome Software - "Polish - Localization support for Polish". This package should be installed by default 

How reproducible:

After installing Fedora 25 in Polish language, run Libre Office.

Steps to Reproduce:
1. Install Fedora 25 in Polish language.
2. Run any program from Libre Office package.

Actual results:
Libre Office remains in English version

Expected results:

Libre Office should offer Polish support out-of-the-box.

Comment 1 Piotr Drąg 2016-12-02 20:59:00 UTC
Unfortunately, no language packs are installed by default. This is not something we can change on the l10n side. Moving to LibreOffice.

Comment 2 Fedora End Of Life 2017-11-16 19:38:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Rafal Luzynski 2017-11-22 04:53:11 UTC
I discussed it with Jens. The root reason is that langpacks cannot be placed in an installation DVD image because they are too large. The langpacks installation works fine with netinstall images because they download the missing packages anyway. Other images are expected to be complete: they should work fine without the network connection.

My brainstorming idea is to have something like a suspended transaction. It would be marked somewhere in the system that the user needs langpacks and they should be installed (or suggested to be installed) when the network connection is up. While the network is unavailable it should not be a fatal error. "You have no langpacks installed because you have no network" seems to be a good explanation.

Comment 4 Jens Petersen 2017-11-22 06:49:15 UTC
See also https://pagure.io/fedora-workstation/issue/27

Comment 5 Fedora End Of Life 2018-02-20 15:22:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Martin Kolman 2018-04-03 11:45:45 UTC
Given the discusion the Anaconda team had about this issue during DevConf & the pagure issue mentioned in comment 4 I think this bug should be reassigned to the Gnome Initial Setup component as that's where the additional langpack installation will likely happen in the future for live & DVD installs.

Comment 7 Jens Petersen 2020-04-07 06:04:36 UTC
I think langpacks auto- installation via gnome-software now takes care of this.

Comment 8 Pravin Satpute 2020-04-13 10:21:00 UTC
Agree with you Jens. Thanks for closing.